Skip to main content
GET
Error

Authorizations

X-Api-Key
string
header
required

API key sent in the X-Api-Key header. Generate an API key from https://app.atonom.ai/#/settings/v2/api_keys.

Path Parameters

id
string
required

Identifier of the phone number.

Required string length: 10 - 21
Pattern: ^[A-Za-z2-7]+-[A-Za-z2-7]{4,}$
Example:

"AUIAC-EXQA"

Response

OK

id
string
required
read-only

Identifier of the phone number.

Required string length: 10 - 21
Pattern: ^[A-Za-z2-7]+-[A-Za-z2-7]{4,}$
Example:

"AUIAC-EXQA"

name
string
required

Display name of the phone number.

Example:

"Main line"

e164
string
required
read-only

Phone number in E.164 format.

Example:

"+15551234567"

area_code
string
required

NANP area code.

Example:

"555"

inbound_cloud_employee_id
string

Identifier of the cloud employee handling inbound calls.

Required string length: 10 - 21
Pattern: ^[A-Za-z2-7]+-[A-Za-z2-7]{4,}$
Example:

"AUIAE-DUXA"

outbound_cloud_employee_id
string

Identifier of the cloud employee handling outbound calls.

Required string length: 10 - 21
Pattern: ^[A-Za-z2-7]+-[A-Za-z2-7]{4,}$
Example:

"AUIAE-DUXA"